Subject: bug#51947: closed (Re: [bug#51947] [PATCH core-updates-frozen 0/2] Fix xf86-video-mach64 and xf86-video-nouveau builds.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Nov 2021 15:55:02 +0000

Your bug report

#51947: [PATCH core-updates-frozen 0/2] Fix xf86-video-mach64 and xf86-video-nouveau builds.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51947: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51947
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#51947] [PATCH core-updates-frozen 0/2] Fix xf86-video-mach64 and xf86-video-nouveau builds.
From: Timothy Sample <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Nov 2021 10:54:47 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Josselin,

Josselin Poiret via Guix-patches via <[email-masked]> writes:

> They both successfully build on my machine, although I can't test
> either of them.  Given the nature of the changes, this shouldn't be
> too much of an issue.

Agreed.

> Josselin Poiret (2):
>   gnu: xf86-video-mach64: Patch to build with xorg-server 21.1.
>   gnu: xf86-video-nouveau: Use upstream patch for xorg-server 21.1.

Pushed as 572641103880ce87b631e00e6212787747f694aa and
674dbeb43639db31c3f3a6e69ee7203296d0b50f.  I made one small change,
which is to list the patches in “gnu/local.mk” under ‘dist_patch_DATA’.
Thanks!

-- Tim

Subject: [PATCH core-updates-frozen 0/2] Fix xf86-video-mach64 and xf86-video-nouveau builds.
From: Josselin Poiret <[email-masked]>
To: [email-masked]
Cc: Josselin Poiret <[email-masked]>
Date: Thu, 18 Nov 2021 14:04:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello everyone,

This patchset fixes compilation for both xf86-video drivers that
wouldn't build with xorg-server 21.1 because some variables were
renamed.  The first is home-made while the second is an upstream patch
that hasn't found its way to a release yet.

They both successfully build on my machine, although I can't test
either of them.  Given the nature of the changes, this shouldn't be
too much of an issue.

Happy sprinting,
Josselin

Josselin Poiret (2):
  gnu: xf86-video-mach64: Patch to build with xorg-server 21.1.
  gnu: xf86-video-nouveau: Use upstream patch for xorg-server 21.1.

 .../xf86-video-mach64-bool-to-boolean.patch   | 79 +++++++++++++++++++
 .../xf86-video-nouveau-fixup-ABI.patch        | 64 +++++++++++++++
 gnu/packages/xorg.scm                         |  6 +-
 3 files changed, 147 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/xf86-video-mach64-bool-to-boolean.patch
 create mode 100644 gnu/packages/patches/xf86-video-nouveau-fixup-ABI.patch

-- 
2.33.1